# CbcCutSubsetModifier Class Reference

Simple cut modifier base class. More...

`#include <CbcCutSubsetModifier.hpp>`

Inheritance diagram for CbcCutSubsetModifier:
[legend]
Collaboration diagram for CbcCutSubsetModifier:
[legend]

List of all members.

## Public Member Functions
| CbcCutSubsetModifier ()
| Default Constructor.
| CbcCutSubsetModifier (int firstOdd)
| Useful Constructor.
| CbcCutSubsetModifier (const CbcCutSubsetModifier &)
virtual | ~CbcCutSubsetModifier ()
| Destructor.
CbcCutSubsetModifier & | operator= (const CbcCutSubsetModifier &rhs)
| Assignment.
virtual CbcCutModifier * | clone () const
| Clone.
virtual int | modify (const OsiSolverInterface *solver, OsiRowCut &cut)
| Returns 0 unchanged 1 strengthened 2 weakened 3 deleted.
virtual void | generateCpp (FILE *)
| Create C++ lines to get to current state.
## Protected Attributes
int | firstOdd_
| data First odd variable

## Detailed Description

Simple cut modifier base class.

In exotic circumstances - cuts may need to be modified a) strengthened - changed b) weakened - changed c) deleted - set to NULL d) unchanged

initially get rid of cuts with variables >= k could weaken

Definition at line 31 of file CbcCutSubsetModifier.hpp.

## Constructor & Destructor Documentation

CbcCutSubsetModifier::CbcCutSubsetModifier | ( |  | ) |

Default Constructor.

CbcCutSubsetModifier::CbcCutSubsetModifier | ( | int | firstOdd | ) |

Useful Constructor.

CbcCutSubsetModifier::CbcCutSubsetModifier | ( | const CbcCutSubsetModifier & |  | ) |

virtual CbcCutSubsetModifier::~CbcCutSubsetModifier | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

CbcCutSubsetModifier& CbcCutSubsetModifier::operator= | ( | const CbcCutSubsetModifier & | rhs | ) |

Assignment.

Reimplemented from CbcCutModifier.

virtual CbcCutModifier* CbcCutSubsetModifier::clone | ( |  | ) | const`[virtual]`

Clone.

Implements CbcCutModifier.

virtual int CbcCutSubsetModifier::modify | ( | const OsiSolverInterface * | solver,
|  | OsiRowCut & | cut |
| ) |  |  | `[virtual]`

Returns 0 unchanged 1 strengthened 2 weakened 3 deleted.

Implements CbcCutModifier.

virtual void CbcCutSubsetModifier::generateCpp | ( | FILE * |  | ) | `[inline, virtual]`

Create C++ lines to get to current state.

Reimplemented from CbcCutModifier.

Definition at line 58 of file CbcCutSubsetModifier.hpp.

## Member Data Documentation

int CbcCutSubsetModifier::firstOdd_`[protected]`

data First odd variable

Definition at line 62 of file CbcCutSubsetModifier.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cbc-2.8.1/Cbc/src/CbcCutSubsetModifier.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines